Package org.globus.ftp

# Class MlsxEntry

java.lang.Object
org.globus.ftp.MlsxEntry

public class MlsxEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHARSET`
`static final String`
`CREATE`
`static final String`
`ERROR`
`static final String`
`ERROR_INVALIDLINK`
`static final String`
`ERROR_OPENFAILED`
`static final String`
`LANG`
`static final String`
`MEDIA_TYPE`
`static final String`
`MODIFY`
`static final String`
`PERM`
`static final String`
`SIZE`
`static final String`
`TYPE`
`static final String`
`TYPE_CDIR`
`static final String`
`TYPE_DIR`
`static final String`
`TYPE_FILE`
`static final String`
`TYPE_PDIR`
`static final String`
`TYPE_SLINK`
`static final String`
`UNIQUE`
`static final String`
`UNIX_GID`
`static final String`
`UNIX_GROUP`
`static final String`
`UNIX_MODE`
`static final String`
`UNIX_OWNER`
`static final String`
`UNIX_SLINK`
`static final String`
`UNIX_UID`

## Constructor Summary

Constructors
Constructor
Description
`MlsxEntry(String mlsxEntry)`
Constructor for MlsxEntry.

## Method Summary

Modifier and Type
Method
Description
`String`
`get(String factName)`
`Date`
`getDate(String factName)`
`String`
`getFileName()`
`void`
`set(String factName, String factValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SIZE

public static final String SIZE

See Also:
  - Constant Field Values

### MODIFY

public static final String MODIFY

See Also:
  - Constant Field Values

### CREATE

public static final String CREATE

See Also:
  - Constant Field Values

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

### UNIQUE

public static final String UNIQUE

See Also:
  - Constant Field Values

### PERM

public static final String PERM

See Also:
  - Constant Field Values

### LANG

public static final String LANG

See Also:
  - Constant Field Values

### MEDIA_TYPE

public static final String MEDIA_TYPE

See Also:
  - Constant Field Values

### CHARSET

public static final String CHARSET

See Also:
  - Constant Field Values

### UNIX_MODE

public static final String UNIX_MODE

See Also:
  - Constant Field Values

### UNIX_OWNER

public static final String UNIX_OWNER

See Also:
  - Constant Field Values

### UNIX_GROUP

public static final String UNIX_GROUP

See Also:
  - Constant Field Values

### UNIX_SLINK

public static final String UNIX_SLINK

See Also:
  - Constant Field Values

### UNIX_UID

public static final String UNIX_UID

See Also:
  - Constant Field Values

### UNIX_GID

public static final String UNIX_GID

See Also:
  - Constant Field Values

### ERROR

public static final String ERROR

See Also:
  - Constant Field Values

### TYPE_FILE

public static final String TYPE_FILE

See Also:
  - Constant Field Values

### TYPE_CDIR

public static final String TYPE_CDIR

See Also:
  - Constant Field Values

### TYPE_PDIR

public static final String TYPE_PDIR

See Also:
  - Constant Field Values

### TYPE_DIR

public static final String TYPE_DIR

See Also:
  - Constant Field Values

### TYPE_SLINK

public static final String TYPE_SLINK

See Also:
  - Constant Field Values

### ERROR_OPENFAILED

public static final String ERROR_OPENFAILED

See Also:
  - Constant Field Values

### ERROR_INVALIDLINK

public static final String ERROR_INVALIDLINK

See Also:
  - Constant Field Values

## Constructor Details

### MlsxEntry

public MlsxEntry(String mlsxEntry) throws FTPException
Constructor for MlsxEntry.

Parameters:
  `mlsxEntry` -
Throws:
  `FTPException`

## Method Details

### set

public void set(String factName, String factValue)

### getFileName

public String getFileName()

### get

public String get(String factName)

### getDate

public Date getDate(String factName)

### toString

public String toString()

Overrides:
  `toString` in class `Object`